<div class="tracker">
  <span>New Time Tracker</span><br/>
  <div class="counter"> {{counter | date  : 'HH:mm:ss'  : 'UTC' }} </div>
  <button mat-raised-button color="primary" (click)="startTimer()">
    {{ startText }}
  </button>
  <br><br>
  <mat-form-field>
    <mat-label>hh</mat-label>
    <input matInput type="number" min="0" placeholder="00" value=[{{hours}}] #hh>
  </mat-form-field>
  <mat-form-field>
    <mat-label>mm</mat-label>
    <input matInput type="number" min="0" max="60" placeholder="00" value=[{{minutes}}] #mm>
  </mat-form-field>
  <mat-form-field>
    <mat-label>ss</mat-label>
    <input matInput type="number" min="0" max="60" placeholder="00" value=[{{seconds}}] #ss>
  </mat-form-field>
  <button mat-raised-button color="primary" (click)="addTime(hh.value, mm.value, ss.value)">
    Add To Counter
  </button>
  <br>
  <mat-form-field>
    <mat-label>Description</mat-label>
    <textarea matInput placeholder="Whatever you want to do..." #description></textarea>
  </mat-form-field>
  <br>
  <div>

  <button mat-raised-button color="primary" (click)="book(description.value, counter)">Book</button>
    <br><br>
    <button mat-raised-button color="primary" (click)="cancel()">Cancel</button>

  </div>
</div>
